Skip to content

Devices Uptime GET

URL: https://api.painelalter.com/api/getDevicesUptime?dateBegin=2020-10-02&dateEnd=2020-10-03&groupBy=day

Returns uptime data per device for all registered stores within the interval from dateBegin to dateEnd (inclusive).

Query Parameters

ParameterDescription
dateBeginStart date. Format YYYY-MM-DD (Inclusive)
dateEndEnd date. Format YYYY-MM-DD (Inclusive)
groupByData grouping parameter

groupBy Values Table

groupByDescription
dayGroup by day
day-hourGroup by day - hour

Response Example

json
[
    {
        "1": [
                {
                    "localDate": "2020-10-02",
                    "uptime": 100
                },
                {
                    "localDate": "2020-10-03",
                    "uptime": 95.5
                }
            ],
        "2": [
                {
                    "localDate": "2020-10-02",
                    "uptime": 98.5
                },
                {
                    "localDate": "2020-10-03",
                    "uptime": 100
                }
            ]
    }
]